%{?nodejs_find_provides_and_requires}

%global packagename multer
%global enable_tests 1

Name:		nodejs-multer
Version:	1.3.0
Release:	1%{?dist}
Summary:	Middleware for handling multipart/form-data

License:	MIT
URL:		https://github.com/expressjs/multer
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(append-field)
BuildRequires:	npm(busboy)
BuildRequires:	npm(concat-stream)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(object-assign)
BuildRequires:	npm(on-finished)
BuildRequires:	npm(type-is)
BuildRequires:	npm(xtend)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(express)
BuildRequires:	npm(form-data)
BuildRequires:	npm(fs-temp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(testdata-w3c-json-form)
%endif

%description
Middleware for handling multipart/form-data.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# setup the docs
%autosetup -T -D -a 2 -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ storage/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 16 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
